Bug 880414 - lvm2app reports the stripe size of volumes incorrectly
Summary: lvm2app reports the stripe size of volumes incorrectly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Zdenek Kabelac
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-26 23:14 UTC by benscott
Modified: 2013-11-21 23:18 UTC (History)
13 users (show)

Fixed In Version: lvm2-2.02.100-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Previously some lvm2app functions were returning values in sectors instead of bytes. Consequence: All return values from lvm2app should be in bytes, thus using sector values as byte values were giving incorrect results. Fix: Return values from lvm2app have been validated to return byte values. Result: Values for origin_size, vg_extent_size, stripe_size, region_size, chunk_size, seg_start, pvseg_size are now properly reported in bytes.
Clone Of:
Environment:
Last Closed: 2013-11-21 23:18:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1704 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2013-11-20 21:52:01 UTC

Description benscott 2012-11-26 23:14:11 UTC
Description of problem:

The lvm2app library reports the stripe size of volumes
incorrectly.


~# lvs --version
  LVM version:     2.02.98(2) (2012-10-15)
  Library version: 1.02.77 (2012-10-15)
  Driver version:  4.23.0


For example if I create a volume with 2 stripes of 128k:

~# lvcreate -i 2 -I 128 --extents 100  vg1
  Logical volume "lvol0" created


The lvs command gets it right:

~# lvs -o +stripe_size
  LV    VG   Attr      LSize   Pool Data%  Move Log Copy%  Convert Stripe
  lvol0 vg1  -wi-a---- 100.00m                                     128.00k



However, the number from the library is as follows:

     value = lvm_lvseg_get_property(lvm_lvseg, "stripesize");
     if (value.is_valid)
        qDebug() << "Stripe size: " << value.value.integer;

Result:
  Stripe size:  256


The library seems to be reporting the number of sectors since
256 * 512 = 131072 bytes which is 128k.

The error occures with any stripe size;

Comment 2 benscott 2012-11-29 01:57:00 UTC
It appears that the chunksize property is also reported in sectors.

Comment 3 Zdenek Kabelac 2013-03-05 14:42:34 UTC
Sizes should be reported as  uint64_t using byte units.

Fixed upstream via this patch:

https://www.redhat.com/archives/lvm-devel/2012-December/msg00000.html

Comment 14 errata-xmlrpc 2013-11-21 23:18:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1704.html


Note You need to log in before you can comment on or make changes to this bug.